VistaIOReadObjects(3)

NAME
VistaIOReadObjects - read a series of objects from a stream

SYNOPSIS
#include <stdio>
#include <vistaio.h>

int VistaIOReadObjects (file, repn, attributes, objects)
    FILE *file;
    VistaIORepnKind repn;
    VistaIOAttrList *attributes;
    VistaIOPointer (*objects)[];

ARGUMENTS

file
    Specifies the open stream from which the objects should be read.

repn
    Specifies the kind of objects sought.

attributes
    Returns a list of attributes read from the stream.

edge_sets
    Returns a vector of pointers to the objects read.

DESCRIPTION
VistaIOReadObjects reads a Vista data file from an open stream, collects all top-level objects of the type specified by repn, and returns those objects separately from the file's other contents. It is used by VistaIOReadImages, for example, to read and collect images by specifying VistaIOImageRepn for the repn argument.

RETURN VALUES
VistaIOReadObjects returns the number of objects obtained, or 0 if an error is encountered. A vector of the objects is allocated and returned via objects. Any other objects found in the file are returned as an attribute list via attributes.

SEE ALSO
VistaIOOpenInputFile(3), VistaIOReadEdges(3), VistaIOReadFile(3), VistaIOReadImages(3), VistaIOWriteObjects(3), stdio(3)

DIAGNOSTICS
Besides the following, any of the diagnostics produced by VistaIOReadFile may be generated.

``No type objects present in stream.''
    No objects of the type specified by repn were encountered in the stream.

AUTHOR
Art Pope <pope@cs.ubc.ca>

Adaption to vistaio: Gert Wollny <gw.fossdev@gmail.com>